Bug 25998 - Add 'library' relation to Koha::Account::Line
Summary: Add 'library' relation to Koha::Account::Line
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks: 24381
  Show dependency treegraph
 
Reported: 2020-07-16 11:09 UTC by Martin Renvoize
Modified: 2020-08-03 23:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25998: Add 'library' relation to Koha::Account::Line (888 bytes, patch)
2020-07-16 11:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25998: Add Unit Tests (2.16 KB, patch)
2020-07-17 07:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25998: Add 'library' relation to Koha::Account::Line (888 bytes, patch)
2020-07-17 07:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25998: (QA follow-up) Add DBIC level relation (1.60 KB, patch)
2020-07-17 07:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25998: Add Unit Tests (2.21 KB, patch)
2020-07-20 17:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25998: Add 'library' relation to Koha::Account::Line (943 bytes, patch)
2020-07-20 17:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25998: (QA follow-up) Add DBIC level relation (1.65 KB, patch)
2020-07-20 17:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-07-16 11:09:23 UTC
The Koha::Account::Line object is missing an accessor for the 'library' accessor.. this would be really helpful in templates for accounts notices.
Comment 1 Martin Renvoize 2020-07-16 11:10:15 UTC
Created attachment 106945 [details] [review]
Bug 25998: Add 'library' relation to Koha::Account::Line
Comment 2 Tomás Cohen Arazi 2020-07-17 02:48:16 UTC
Create the 'library' DBIC relationship also, so we can prefetch it in the API.
Comment 3 Martin Renvoize 2020-07-17 06:39:25 UTC
(In reply to Tomás Cohen Arazi from comment #2)
> Create the 'library' DBIC relationship also, so we can prefetch it in the
> API.

Good catch.. I forgot we were doing that now :)
Comment 4 Martin Renvoize 2020-07-17 07:02:05 UTC
Created attachment 106971 [details] [review]
Bug 25998: Add Unit Tests
Comment 5 Martin Renvoize 2020-07-17 07:02:08 UTC
Created attachment 106972 [details] [review]
Bug 25998: Add 'library' relation to Koha::Account::Line
Comment 6 Martin Renvoize 2020-07-17 07:02:11 UTC
Created attachment 106973 [details] [review]
Bug 25998: (QA follow-up) Add DBIC level relation
Comment 7 Martin Renvoize 2020-07-17 07:09:45 UTC
Tests added and relation updated dbic side, ready for SO
Comment 8 Tomás Cohen Arazi 2020-07-20 17:27:39 UTC
Created attachment 107122 [details] [review]
Bug 25998: Add Unit Tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Tomás Cohen Arazi 2020-07-20 17:27:43 UTC
Created attachment 107123 [details] [review]
Bug 25998: Add 'library' relation to Koha::Account::Line

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Tomás Cohen Arazi 2020-07-20 17:27:48 UTC
Created attachment 107124 [details] [review]
Bug 25998: (QA follow-up) Add DBIC level relation

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 11 Tomás Cohen Arazi 2020-07-20 17:34:38 UTC
Trivial patchset with no QA errors and following the current coding guidelines.
Passing QA
Comment 12 Jonathan Druart 2020-07-22 08:31:52 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 13 Lucas Gass 2020-07-28 14:58:16 UTC
backported to 20.05.x for 20.05.03
Comment 14 Aleisha Amohia 2020-08-03 23:30:19 UTC
enhancement, not backporting to 19.11.x